Skip to main content
GET
/
api
/
v1
/
positions
List open positions
curl --request GET \
  --url https://staging.zerolatencylabs.com/api/v1/positions \
  --header 'X-API-KEY: <api-key>'
[
  {
    "account_id": 1024,
    "avg_entry_price": "64998.5",
    "id": "018f9a3e-2d5a-7b3c-9f6e-4a7b8c9d0e1f",
    "market": "BTC-PERP",
    "net_funding": "-1.35",
    "portfolio_index": 0,
    "quantity": "0.25",
    "side": "LONG",
    "subaccount_index": 0
  }
]

Authorizations

X-API-KEY
string
header
required

Base64-encoded API key issued by POST /api/v1/api-keys.

Query Parameters

subaccount_index
integer<int32>
Required range: x >= 0
portfolio_index
integer<int32>
Required range: x >= 0
market
string

Response

Open positions

account_id
integer<int64>
required

A system-generated unique identifier for an account.

Required range: x >= 0
portfolio_index
integer<int32>
required

A unique identifier for a portfolio within a subaccount.

Required range: x >= 0
subaccount_index
integer<int32>
required

A unique identifier for a subaccount within an account.

Required range: x >= 0
avg_entry_price
string
required

The average entry price of the position in quote asset units

Example:

"64998.50"

id
string<uuid>
required

The unique identifier of the position

Example:

"0190b6c2-7e4a-7c3b-9f21-2b6a1c4e5d8f"

market
string
required

The symbol of the market (e.g. BTC-PERP)

Example:

"BTC-PERP"

net_funding
string
required

The net funding accrued on this position in USDC

Example:

"-1.35"

quantity
string
required

The current size of the position in base asset units

Example:

"0.25"

side
enum<string>
required

The side of the position (Long or Short)

Available options:
LONG,
SHORT